当前位置:首页 > 资讯 > info5 > 正文

php支持oci扩展

发表于: 2016-11-08   作者:ldTrueLove   来源:转载   浏览:
摘要: 一、首先查看系统环境位数和线程是否安全这些都与自己安装扩展带来一些条件二、去官网下载扩展包搜索oci8http://pecl.php.net/package/oci8选择符合自己系统的http://pecl.php.net/package/oci8/2.0.10/windows将包中的文件解压出来,放在php环境的扩展中。也就是ext文件下,覆盖原来的文件三、开启php的配置文件中oci8的扩展e
一、首先查看系统环境位数和线程 是否安全
php支持oci扩展_第1张图片
这些都与自己安装扩展带来一些条件
二、去官网下载扩展包
搜索oci8
http://pecl.php.net/package/oci8
选择符合自己系统的
http://pecl.php.net/package/oci8/2.0.10/windows

将包中的文件解压出来,放在php环境的扩展中。也就是ext文件下,覆盖原来的文件
三、开启php的配置文件中oci8的扩展
extension=php_oci8_12c.dll
四、下载oracle install client
http://www.oracle.com/technetwork/database/features/instant-client/index-097480.html
自己选择环境版本,切记位数(与自己windows位数一致)
将自己下载的instant client,放到自己软件目录,然后安装,然后设置环境变量,重启电脑使得环境变量生效

连接oracle,查看是否成功
问题:
无法定位程序输入点 于动态链接库
使用低版本的oci扩展php_oci8_11g.dll

php支持oci扩展

  • 0

    开心

    开心

  • 0

    板砖

    板砖

  • 0

    感动

    感动

  • 0

    有用

    有用

  • 0

    疑问

    疑问

  • 0

    难过

    难过

  • 0

    无聊

    无聊

  • 0

    震惊

    震惊

编辑推荐
1、让PHP支持OCI,只需如下几步: 首先,安装PHP的集成运行环境,或者理解为服务器吧,我安装的是名
1、让PHP支持OCI,只需如下几步: 首先,安装PHP的集成运行环境,或者理解为服务器吧,我安装的是名
我想我还是写点什么好了!! 0: ./ext_skel --extname=foo cd foo vi config.m4 修改成这样 PHP_AR
Spring 框架将体系结构依赖性降至最低,并且将应用程序中得组成部分进行了具体化,但是应用程序仍然
Spring 框架将体系结构依赖性降至最低,并且将应用程序中得组成部分进行了具体化,但是应用程序仍然
Spring 框架将体系结构依赖性降至最低,并且将应用程序中得组成部分进行了具体化,但是应用程序仍然
Spring 框架将体系结构依赖性降至最低,并且将应用程序中得组成部分进行了具体化,但是应用程序仍然
打开控制面板 - 程序和功能,点击左边 “打开或关闭 Windows 功能”。 在弹出的对话框中,展开 “In
http://pecl.php.net/package/ 相信很多人为了找PHP扩展包,很发愁。 其实可以去官网下载,还有各个
http://pecl.php.net/package/ 相信很多人为了找PHP扩展包,很发愁。 其实可以去官网下载,还有各个
版权所有 IT知识库 CopyRight © 2009-2015 IT知识库 IT610.com , All Rights Reserved. 京ICP备09083238号